<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignScheduledItemTable extends Migration {

	public function up()
	{
		Schema::create('campaign_scheduled_item', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('campaign_id')->unsigned()->index();
			$table->integer('component_playlist_id')->unsigned()->index();
			$table->enum('context', array('audio', 'video'));
			$table->integer('ordering')->unsigned()->nullable()->index();
			$table->enum('mode', array('exact', 'repeated'));
			$table->date('date_from')->nullable()->index();
			$table->date('date_to')->nullable()->index();
			$table->time('time_from')->nullable()->index();
			$table->time('time_to')->nullable()->index();
			$table->tinyInteger('dow')->unsigned()->nullable();
			$table->smallInteger('period')->unsigned()->nullable();
			$table->tinyInteger('size')->unsigned()->nullable();
			$table->tinyInteger('priority')->unsigned()->nullable();
			$table->tinyInteger('shuffle');
			$table->tinyInteger('immediate')->default('1');
			$table->double('music_spot_offset', 8,4)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('campaign_scheduled_item');
	}
}