<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('campaign', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('campaign_scheduled_item', function(Blueprint $table) {
			$table->foreign('campaign_id')->references('id')->on('campaign')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('campaign_scheduled_item', function(Blueprint $table) {
			$table->foreign('component_playlist_id')->references('id')->on('component_playlist')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_playlist', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_playlist_item', function(Blueprint $table) {
			$table->foreign('component_playlist_id')->references('id')->on('component_playlist')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_playlist_item', function(Blueprint $table) {
			$table->foreign('library_file_id')->references('id')->on('library_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_program', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_program_item', function(Blueprint $table) {
			$table->foreign('component_program_id')->references('id')->on('component_program')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('component_program_item', function(Blueprint $table) {
			$table->foreign('component_playlist_id')->references('id')->on('component_playlist')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_scheduled_item', function(Blueprint $table) {
			$table->foreign('content_id')->references('id')->on('content')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_scheduled_item', function(Blueprint $table) {
			$table->foreign('component_program_id')->references('id')->on('component_program')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_simple_item', function(Blueprint $table) {
			$table->foreign('content_id')->references('id')->on('content')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_simple_item', function(Blueprint $table) {
			$table->foreign('library_file_id')->references('id')->on('library_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->foreign('audio_content_id')->references('id')->on('content')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->foreign('audio_campaign_id')->references('id')->on('campaign')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->foreign('video_content_id')->references('id')->on('content')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->foreign('video_campaign_id')->references('id')->on('campaign')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->foreign('stream_id')->references('id')->on('stream')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_category', function(Blueprint $table) {
			$table->foreign('parent_id')->references('id')->on('library_category')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_category', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('library_file', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_file', function(Blueprint $table) {
			$table->foreign('library_storage_file_id')->references('id')->on('library_storage_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_file', function(Blueprint $table) {
			$table->foreign('albumart_id')->references('id')->on('albumart')
						->onDelete('set null')
						->onUpdate('cascade');
		});
		Schema::table('library_file_category', function(Blueprint $table) {
			$table->foreign('library_file_id')->references('id')->on('library_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_file_category', function(Blueprint $table) {
			$table->foreign('library_category_id')->references('id')->on('library_category')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_file_meta', function(Blueprint $table) {
			$table->foreign('library_file_id')->references('id')->on('library_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_file_meta', function(Blueprint $table) {
			$table->foreign('library_meta_id')->references('id')->on('library_meta')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->foreign('original_id')->references('id')->on('library_storage_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->foreign('library_storage_file_variant_id')->references('id')->on('library_storage_file_variant')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->foreign('library_storage_id')->references('id')->on('library_storage')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->foreign('albumart_id')->references('id')->on('albumart')
						->onDelete('set null')
						->onUpdate('cascade');
		});
		Schema::table('library_storage_file_meta', function(Blueprint $table) {
			$table->foreign('library_storage_file_id')->references('id')->on('library_storage_file')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('library_storage_file_meta', function(Blueprint $table) {
			$table->foreign('library_meta_id')->references('id')->on('library_meta')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('node', function(Blueprint $table) {
			$table->foreign('library_storage_id')->references('id')->on('library_storage')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('stream', function(Blueprint $table) {
			$table->foreign('node_id')->references('id')->on('node')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('stream_scheduled_item', function(Blueprint $table) {
			$table->foreign('stream_id')->references('id')->on('stream')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('stream_scheduled_item', function(Blueprint $table) {
			$table->foreign('component_playlist_id')->references('id')->on('component_playlist')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('menu', function(Blueprint $table) {
			$table->foreign('parent_id')->references('id')->on('menu')
						->onDelete('set null')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('campaign', function(Blueprint $table) {
			$table->dropForeign('campaign_node_id_foreign');
		});
		Schema::table('campaign_scheduled_item', function(Blueprint $table) {
			$table->dropForeign('campaign_scheduled_item_campaign_id_foreign');
		});
		Schema::table('campaign_scheduled_item', function(Blueprint $table) {
			$table->dropForeign('campaign_scheduled_item_component_playlist_id_foreign');
		});
		Schema::table('component_playlist', function(Blueprint $table) {
			$table->dropForeign('component_playlist_node_id_foreign');
		});
		Schema::table('component_playlist_item', function(Blueprint $table) {
			$table->dropForeign('component_playlist_item_component_playlist_id_foreign');
		});
		Schema::table('component_playlist_item', function(Blueprint $table) {
			$table->dropForeign('component_playlist_item_library_file_id_foreign');
		});
		Schema::table('component_program', function(Blueprint $table) {
			$table->dropForeign('component_program_node_id_foreign');
		});
		Schema::table('component_program_item', function(Blueprint $table) {
			$table->dropForeign('component_program_item_component_program_id_foreign');
		});
		Schema::table('component_program_item', function(Blueprint $table) {
			$table->dropForeign('component_program_item_component_playlist_id_foreign');
		});
		Schema::table('content', function(Blueprint $table) {
			$table->dropForeign('content_node_id_foreign');
		});
		Schema::table('content_scheduled_item', function(Blueprint $table) {
			$table->dropForeign('content_scheduled_item_content_id_foreign');
		});
		Schema::table('content_scheduled_item', function(Blueprint $table) {
			$table->dropForeign('content_scheduled_item_component_program_id_foreign');
		});
		Schema::table('content_simple_item', function(Blueprint $table) {
			$table->dropForeign('content_simple_item_content_id_foreign');
		});
		Schema::table('content_simple_item', function(Blueprint $table) {
			$table->dropForeign('content_simple_item_library_file_id_foreign');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->dropForeign('content_update_node_id_foreign');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->dropForeign('content_update_audio_content_id_foreign');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->dropForeign('content_update_audio_campaign_id_foreign');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->dropForeign('content_update_video_content_id_foreign');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->dropForeign('content_update_video_campaign_id_foreign');
		});
		Schema::table('content_update', function(Blueprint $table) {
			$table->dropForeign('content_update_stream_id_foreign');
		});
		Schema::table('library_category', function(Blueprint $table) {
			$table->dropForeign('library_category_parent_id_foreign');
		});
		Schema::table('library_category', function(Blueprint $table) {
			$table->dropForeign('library_category_node_id_foreign');
		});
		Schema::table('library_file', function(Blueprint $table) {
			$table->dropForeign('library_file_node_id_foreign');
		});
		Schema::table('library_file', function(Blueprint $table) {
			$table->dropForeign('library_file_library_storage_file_id_foreign');
		});
		Schema::table('library_file', function(Blueprint $table) {
			$table->dropForeign('library_file_albumart_id_foreign');
		});
		Schema::table('library_file_category', function(Blueprint $table) {
			$table->dropForeign('library_file_category_library_file_id_foreign');
		});
		Schema::table('library_file_category', function(Blueprint $table) {
			$table->dropForeign('library_file_category_library_category_id_foreign');
		});
		Schema::table('library_file_meta', function(Blueprint $table) {
			$table->dropForeign('library_file_meta_library_file_id_foreign');
		});
		Schema::table('library_file_meta', function(Blueprint $table) {
			$table->dropForeign('library_file_meta_library_meta_id_foreign');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->dropForeign('library_storage_file_original_id_foreign');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->dropForeign('library_storage_file_library_storage_file_variant_id_foreign');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->dropForeign('library_storage_file_library_storage_id_foreign');
		});
		Schema::table('library_storage_file', function(Blueprint $table) {
			$table->dropForeign('library_storage_file_albumart_id_foreign');
		});
		Schema::table('library_storage_file_meta', function(Blueprint $table) {
			$table->dropForeign('library_storage_file_meta_library_storage_file_id_foreign');
		});
		Schema::table('library_storage_file_meta', function(Blueprint $table) {
			$table->dropForeign('library_storage_file_meta_library_meta_id_foreign');
		});
		Schema::table('node', function(Blueprint $table) {
			$table->dropForeign('node_library_storage_id_foreign');
		});
		Schema::table('stream', function(Blueprint $table) {
			$table->dropForeign('stream_node_id_foreign');
		});
		Schema::table('stream_scheduled_item', function(Blueprint $table) {
			$table->dropForeign('stream_scheduled_item_stream_id_foreign');
		});
		Schema::table('stream_scheduled_item', function(Blueprint $table) {
			$table->dropForeign('stream_scheduled_item_component_playlist_id_foreign');
		});
		Schema::table('menu', function(Blueprint $table) {
			$table->dropForeign('menu_parent_id_foreign');
		});
	}
}